Bug 48471 - licq is looking for translations in non-existing directory
licq is looking for translations in non-existing directory
Product: Red Hat Linux
Classification: Retired
Component: licq (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-07-10 15:24 EDT by Leonid Kanter
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-10 15:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
this patch works for me (2.12 KB, patch)
2001-07-10 15:27 EDT, Leonid Kanter
no flags Details | Diff
more simple patch (600 bytes, patch)
2001-07-10 15:42 EDT, Leonid Kanter
no flags Details | Diff

  None (edit)
Description Leonid Kanter 2001-07-10 15:24:35 EDT
Description of Problem:

If you try to select translation from list, error message appears that licq
is unable to find translation file in your ~/.licq/translations. But it can
use translation file from /usr/share/licq/translations.

How Reproducible:


Steps to Reproduce:
1. start licq (qt gui or kde gui).
2. go to options menu
3. Select eny encoding from list.

Actual Results:

You'll see error window: [Err] unable to open
/home/leon/.licq/translations/RUSSIAN_WIN for reading: no such file or

Expected Results:

It must silently use /usr/share/licq/translations/RUSSIAN_WIN

Additional Information:
Patch will be attached
Comment 1 Leonid Kanter 2001-07-10 15:27:35 EDT
Created attachment 23227 [details]
this patch works for me
Comment 2 Leonid Kanter 2001-07-10 15:42:00 EDT
Created attachment 23228 [details]
more simple patch
Comment 3 Bernhard Rosenkraenzer 2001-07-11 06:34:42 EDT
Thanks, added a similar patch in 1.0.3-6.
(I've added an if(!QFile::exists(szTranslationPath)) construct to allow 
per-user translation installations).

Note You need to log in before you can comment on or make changes to this bug.